## com.google.appengine.api.datastore
Class Index

    java.lang.Object
      com.google.appengine.api.datastore.Index

All Implemented Interfaces:
  java.io.Serializable

    public final class Index

extends java.lang.Object
implements java.io.Serializable

A Datastore `Index` definition.

See Also:
  Serialized Form

Nested Class Summary
`static class` `Index.IndexState` Indicates the state of the `Index`.
`static class` `Index.Property` An indexed property.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`long` `getId()`
`java.lang.String` `getKind()`
`java.util.List<Index.Property>` `getProperties()`
`int` `hashCode()`
`boolean` `isAncestor()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public long getId()

### getKind

    public java.lang.String getKind()

### isAncestor

    public boolean isAncestor()

### getProperties

    public java.util.List<Index.Property> getProperties()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`